$Id$
-------------------------------------------------------------------

     =========================================================
     Geant4 - an Object-Oriented Toolkit for Simulation in HEP
     =========================================================

                      Category History file
                      ---------------------
This file should be used by G4 developers and category coordinators
to briefly summarize all major modifications introduced in the code
and keep track of all category-tags.
It DOES NOT substitute the  CVS log-message one should put at every
committal in the CVS repository !

     ----------------------------------------------------------
     * Reverse chronological order (last date on top), please *
     ----------------------------------------------------------


February 26th, 2018  A.Howard
- G4ImportanceConfigurator: cleaned up unnecessary G4cout and removed
  copy of G4String - thanks to Gabriele

February 21st, 2018  A.Howard
- G4ImportanceConfigurator: put back clear in the destructor

February 21st, 2018  A.Howard
- G4ImportanceConfigurator: introduced AutoLock (G4Mutex) to protect
  instantiation of the biasing process against a threadrace

March 7th, 2017  A.Howard
- G4GeometrySampler: removed unnecessary ClearSampling from the destructor

March 7th, 2017  A.Howard
- G4ImportanceConfigurator: adjusted the ProcessPlacer in the destructor
  of the G4ImportanceConfigurator so that it didn't cause an error in MT-mode

March 10th, 2015  G.Cosmo
- G4ImportanceProcess, G4WeightCutOffProcess: made static thread-local
  variables into class data members.
  Renamed them accordingly: fEndTrack, feLimited, fParaflag.
- Use const reference for string in argument in SetParallelWorld() in
  G4ImportanceProcess, G4WeithCutOffProcess and G4WeightWindowProcess.

February 12th, 2015  J.Apostolakis
- G4WeightWindowProcess: made static thread-local variables into class
  data members. Renamed them accordingly: fEndTrack, feLimited, fParaflag.

December 2nd, 2013  A.Howard
- Moved static methods in the initialiser to the body for G4GeometrySampler
  and G4ImportanceConfigurator

November 30th, 2013  A.Howard
- Fixed coverity errors (uninitialised variables)

November 24th, 2013  A.Howard
- Fixed segmentation fault at the end of an MT run
- caused by deleting fGhostStep in the destructor
- removed RemoveProcess from the destructor (ClearSampling) of the configurators
- also caused an out of range index with MT

November 22nd, 2013  A.Howard
- Migrated to MT - changed design to physics list orientation
- kept backward compatability for single threaded use, except for singleton
- Moved G4VProcessPlacer and G4ProcessPlacer to management

October 10th, 2013  A.Howard
- Subdirectory and history file created.


